## live-manual 3.0~a12

=== Makefile ===
# Makefile

## live-manual(7) - Documentation
## Copyright (C) 2006-2012 Debian Live Project <debian-live@lists.debian.org>
##
## live-manual comes with ABSOLUTELY NO WARRANTY; for details see COPYING.
## This is free software, and you are welcome to redistribute it
## under certain conditions; see COPYING for details.


SHELL := sh -e

LANGUAGES = en $(shell cd manual/po && ls)

FORMATS = epub html odf pdf txt

DEBUG = 0

all: build

test:
	@echo "Checking for syntax errors... [not implemented yet - FIXME]"
	@echo "Checking for spelling errors... [not implemented yet - FIXME]"

tidy:
	# Removing useless whitespaces at EOL
	for FILE in manual/en/*.ssm manual/en/*.ssi; \
	do \
		sed -i -e 's|[ \t]*$$||' $${FILE}; \
	done

build: clean
	#FIXME: do a proper dependency-based build
	#FORMATS = epub html odf pdf txt
	#...
	#%.pdf: $(sisu_sources)
	#	sisu-pdf -v live-manual.ssm
	#etc.

	@# FIXME: sisu-concordance sisu-pg sisu-sqlite

	cd $(CURDIR)/manual; \
	sisu --configure
	for LANGUAGE in $(LANGUAGES); \
	do \
		for FORMAT in $(FORMATS); \
		do \
			cd $(CURDIR)/manual; \
			sisu-$${FORMAT} -v $${LANGUAGE}/live-manual.ssm; \
			if [ "$${FORMAT}" = "html" ] ; \
			then \
			    for FILE in ../build/manual/html/*.$${LANGUAGE}.html ../build/manual/html/live-manual/*.$${LANGUAGE}.html; \
			    do \
				    bin/fix-sisu-html.rb $${FILE}; \
				    ([ $(DEBUG) -gt 0 ] || rm -f $${FILE}~); \
			    done; \
			fi ; \
		done; \
	done; \


autobuild: build
	cd build/manual && rm -rf manifest toc.html; \
	set +e; for LANGUAGE in $(LANGUAGES); \
	do \
		FROMDIR=$(CURDIR)/manual/$${LANGUAGE}; \
		TODIR=$(CURDIR)/build/manual; \
		cp $${FROMDIR}/index.html.in $${TODIR}; \
		sed -e "s|@DATE_BUILD@|$(shell LC_ALL=C date -R)|" \
		    -e "s|@DATE_CHANGE@|$(shell LC_ALL=C git log | grep -m1 Date | awk -FDate: '{ print $2 }' | sed -e 's|  ||g')|" \
		$${TODIR}/index.html.in > $${TODIR}/index.$${LANGUAGE}.html; \
		rm $${TODIR}/index.html.in; \
	done

commit: tidy test
	$(MAKE) -C manual rebuild

	@if grep -qs fuzzy manual/po/*/*; \
	then \
		echo "" ; \
		echo "There are some fuzzy strings. You can run 'make translate' to fix them." ; \
		exit 1 ; \
	fi

	@echo
	@echo "You may now proceed...please do:"
	@echo
	@echo "  * git add ."
	@echo "  * git commit -a -m \"Your commit message.\""
	@echo "  * git push "

install:
	rm -rf $(CURDIR)/build/manual/manifest
	rm -f $(CURDIR)/build/manual/index.html
	rm -f $(CURDIR)/build/manual/toc.html

	mkdir -p $(DESTDIR)/usr/share/doc/live-manual
	cp -a COPYING $(CURDIR)/build/manual/* $(DESTDIR)/usr/share/doc/live-manual

uninstall:
	rm -rf $(DESTDIR)/usr/share/doc/live-manual

clean:
	rm -rf build
	rm -f manual/en/*~

distclean: clean
	rm -rf build

rebuild: distclean build

translate:
	@if grep -qs fuzzy manual/po/*/*; \
	then \
		./manual/bin/find-fuzzy.sh ; \
	else \
		echo "There are no fuzzy strings to translate." ; \
	fi

=== manual/Makefile ===
# Makefile

SHELL := sh -e

LANGUAGES = $(shell cd po && ls)

DEBUG=0
PO4A_FLAGS=

ifeq ($(DEBUG),1)
    PO4A_FLAGS=-d
endif

ifeq ($(DEBUG),2)
    PO4A_FLAGS=-d -v
endif

all: build

po4a.cfg:
	echo "[po4a_langs] $(LANGUAGES)" > po4a.cfg
	echo "[po4a_paths] pot/\$$master.pot \$$lang:po/\$$lang/\$$master.po" >> po4a.cfg

	for FILE in en/*.ssm en/*.ssi; \
	do \
		echo "[type: text] $${FILE} \$$lang:\$$lang/$$(basename $${FILE})" >> po4a.cfg; \
	done

	echo "[type: xhtml] en/index.html.in \$$lang:\$$lang/index.html.in" >> po4a.cfg

update:
	@./bin/update-version.sh

build: po4a.cfg
	@if [ ! -x "$$(which po4a 2>/dev/null)" ]; \
	then \
		echo "E: po4a - command not found"; \
		echo "I: po4a can be obtained from http://po4a.alioth.debian.org/"; \
		echo "I: On Debian based systems, po4a can be installed with 'apt-get install po4a'."; \
		exit 1; \
	fi

	po4a --keep 0 --no-backups --package-name live-manual $(PO4A_FLAGS) po4a.cfg

clean:
	rm -f po/*/*.po~
	rm -rf ../build

distclean: clean
	rm -f po4a.cfg
	rm -rf $(LANGUAGES)

rebuild: distclean update build

=== debian/changelog ===
live-manual (1:3.0~a12-1) unstable; urgency=low

  [ Daniel Baumann ]
  * Correcting spelling typo in rules for localedef call.
  * Adding locales to build-depends.
  * Removing local todo file, it's moved to live.debian.net where all
    todos are.
  * Removing some whitespace cruft from Makefile.
  * Splitting initial paragraph into two in 'about manual' for better
    readability.
  * Using correct spelling of codenames in 'about manual'.
  * Splitting 'for the impatient' in 'about manual' into multiple
    paragraphs for better readability.

  [ skizzhg ]
  * Proofreading and translating missing context (thanks to chals).

  [ Daniel Baumann ]
  * Correcting a few things in 'about project'.

  [ skizzhg ]
  * Updating about_manual and about_project, italian translation.

  [ Daniel Baumann ]
  * Adding partial and inital German translation of 'about manual'.
  * Correcting some shell errors in find-fuzzy.sh.
  * Correcting indenting in fix-sisu-html.rb.
  * Removing libc-bin from build-depends, it's an essential package.
  * Adding copyright header to Makefile.
  * Simplying, again, Makefiles install target.
  * Removing useless files in rules.

  [ chals ]
  * Fixing typo in makefile.

  [ Daniel Baumann ]
  * Adding note about the 'last point release of a debian release' to
    project procedures.

  [ chals ]
  * Updating Spanish translation of project_procedures.
  * Updating French translation of project_procedures.
  * Changing grep to avoid errors after set -e.

  [ Daniel Baumann ]
  * Adding note about capitalized function names in project coding
    style.
  * Adding note about 'set -e ' in project coding style.

  [ chals ]
  * Updating 'es' and 'fr' translations of project_coding-style.

  [ Daniel Baumann ]
  * Consistently using ext4 in all examples, not a mix of ext2 and ext3.

  [ chals ]
  * Using unified markup style for names of packages and commands.
  * Updating markup in 'ro', 'pt_BR' and 'it'.
  * Updating markup in 'es' and 'fr'.
  * Updating French translation, mainly vocabulary.
  * Removing 'manual/*/build/' from .gitignore.
  * Removing capital letters in codenames globally and editing sisu
    metadata in live-manual.ssm.
  * Changing the 'Terms' section and updating 'es' and 'fr'
    translations.
  * Fixing markup of debian packages using italics.
  * Updating markup of packages in the translations.

  [ Ben Armstrong ]
  * Updating workflow to omit 'make commit' unless translating.
  * Removing git add and commit that belonged to now removed 'make
    commit' step.

  [ chals ]
  * Updating 'es' and 'fr' translations and fixing one fuzzy string in
    'pt_BR' and one in 'ro'.
  * Changing markup of vrms.
  * Updating markup of vmrs in the translations.
  * Changing 'full, useful sentences' for 'complete, meaningful
    sentences'.
  * Running 'make commit' and updating 'es' and 'fr' translations.
  * Clarifying that the online version of live-manual is more up-to-
    date.
  * Updating 'fr' and 'es' translations.
  * Starting grammar revision of French version of live-manual.
  * Adding markup to tftpd-hpa package.
  * Fixing typo in project_procedures.ssi.
  * Fixing newlines in 'es', 'fr' and 'it' that broke the paragraphs.
  * Fixing several 'fuzzy' in po files and adding a missing subject in
    Spanish about_manual.ssi.po.
  * Revising grammar in four files only committing the changed files,
    French translation.
  * Revising grammar in six po files, only committing French
    translation.
  * Revising grammar in four po files, French translation.
  * Completing French grammar revision with
    user_managing_a_configuration.ssi.po and user_overview.ssi.po.
  * Cleaning live-manual.ssm.po where necessary to minimize translation
    work in the future.
  * Fixing 'Not found name_tags: about_manual' message from the build
    log.
  * Adding link to Bug Tracking System.
  * Adding link to BTS in the translations.

  [ Daniel Baumann ]
  * Updating German about_manual translation.
  * A few more random strings on the German translations.

  [ chals ]
  * Fixing typo mailinglist and a verb in index.html.in.
  * Deleting @date that causes 'fuzzy'.
  * Cleaning default automatically generated headers in *all* po files.
  * Fixing 'fuzzy' strings in index.html.in.po.

  [ Daniel Baumann ]
  * Adding date header back in German translation.
  * Automatically translating date formats when setting them during
    processing sisu files.
  * Adding automatic date translation for all other languages too.

  [ chals ]
  * Deleting reference to the date in the style guide.
  * Spreading the deletion of the date in the style guide to the other
    languages.
  * Renaming binary-hybrid.iso to binary.hybrid.iso.
  * Renaming config/binary_debian-installer-includes to
    config/includes.binary_debian-installer.
  * Updating 'es', 'fr' and 'it' translations after renaming binary-
    hybrid.iso and config/binary_debian-installer-includes.
  * Updating 'persistence' section in user_customization-runtime.
  * Fixing fuzzy strings in 'es', 'fr' and 'it' after updating the
    persistence section.

 -- Daniel Baumann <daniel@debian.org>  Mon, 04 Jun 2012 12:25:19 +0200

live-manual (1:3.0~a11-1) unstable; urgency=low

  [ Daniel Baumann ]
  * Updating year in copyright.

  [ chals ]
  * Adding Appendix:Style guide, thanks to my co-translator jlz.
  * Fixing some 'fuzzy' strings in several po files.
  * Changing time and links to 'build.log' and 'manual-trace' on
    index.html.
  * Updating to 3.x, architectures.
  * Updating 'es' and 'fr', architectures.
  * Revising Spanish translation, chapters 6-16
  * Revising Spanish translation, chapters 1-5.
  * Updating 2.3 Contact, link to the wiki.
  * Removing reference to the wiki.
  * Rewriting bootloaders from general to specific and adding content --
    syslinux-theme and splash.png image.
  * Updating Spanish translation, bootloaders.
  * Updating French translation, bootloaders


=== debian/rules ===
#!/usr/bin/make -f

%:
	dh ${@}

override_dh_auto_build:
	mkdir -p debian/build/locale
	localedef -f UTF-8 -i en_US debian/build/locale/en_US.UTF-8

	LOCPATH=$(CURDIR)/debian/build/locale LC_ALL=en_US.UTF-8 dh_auto_build

override_dh_auto_clean:
	dh_auto_clean

	rm -rf debian/build

override_dh_auto_install:
	dh_auto_install

	# Removing useless files
	rm -f debian/tmp/usr/share/doc/live-manual/COPYING
	rm -f debian/tmp/usr/share/doc/live-manual/_sisu/image/.empty

override_dh_builddeb:
	dh_builddeb -- -Zgzip -z9

override_dh_compress:
	dh_compress -X.html -X.odt

override_dh_install:
	dh_install --fail-missing

## live-manual 3.0~a13

=== debian/changelog ===
live-manual (1:3.0~a13-1) unstable; urgency=low

  [ chals ]
  * Substituting binary.log for build.log globally.

  [ skizzhg ]
  * Updating about_manual, project_coding-style, project_procedures,
    user_customization-binary; italian translation.

  [ Daniel Baumann ]
  * Unfuzzying date strings.

  [ chals ]
  * Updating persistence: first draft, deleting snapshots and changing
    labels.
  * Updating French and Spanish translations of user_customization-
    runtime.
  * Using 'cible' instead of 'objectif' where appropiate in the French
    translation, thanks to pgas.
  * Fixing typo 'raiz' in the Spanish translation.
  * Updating and unfuzzying date.
  * Capitalizing find_fuzzy function to follow the project's coding
    style.
  * Slight modification of two titles to make the index more symmetric.
  * Updating the index in 'es' and 'fr' translations and unfuzzying
    dates in po files.
  * Adding forgotten capital letter.

  [ Daniel Baumann ]
  * Adding initial Catalan translation from chals
    <chals@altorricon.com>.

  [ skizzhg ]
  * Updating user_customization-runtime, user_installation and
    user_overview; italian translation.

  [ chals ]
  * Adding 'ca' to menu.
  * Translating live-manual.ssm into Catalan and dealing with fuzzy
    strings.
  * Creating a slicker menu.
  * Translating user_installation into Catalan.
  * Using the correct unicode symbol for the ela geminada U+0140 and
    fixing same typo 'fitxers' twice.
  * Fixing minor formatting errors in the Catalan translation.
  * Fixing typos in Catalan translation.
  * Translating user_basics.ssi.po into Catalan.
  * Updating Translation section, ideas by Daniel Baumann and Ben
    Armstrong on the mailing list.
  * Updating Translation section in 'ca', 'es' and 'fr'.

  [ Daniel Baumann ]
  * Switching to xz compression in source and binary packages.

 -- Daniel Baumann <daniel@debian.org>  Wed, 27 Jun 2012 15:05:59 +0200

## live-manual 3.0~a14

=== debian/changelog ===
live-manual (1:3.0~a14-1) unstable; urgency=low

  [ chals ]
  * Updating the passwd hook example to a four digit number.
  * Renaming persistence-subtext to persistence-label.

  [ Daniel Baumann ]
  * Correcting my previous broken commit with an accidental cropped
    live-manual po file for Italian and Spanish.
  * Readding accidentally removed header in live-manual po file for
    French.
  * Adding Catalan to European date formats in automatic date
    translation.

  [ chals ]
  * Updating translations of user_customization-runtime.ssi.
  * Translating user_overview into Catalan.
  * Fixing minor formatting error in about_manual.ssi.po, Romanian
    translation.
  * Translating user_managing_a_configuration.ssi.po into Catalan.
  * Adding po integrity check and message in test target for occasional
    use.
  * Adding dummy info to the comments of several live-manual.ssm.po to
    unify line numbers purposely.
  * Adding unfuzzy target to automatically fix 'predictable' fuzzy
    strings after building the manuals from the .po files.
  * Revising ca/user_managing_a_configuration.ssi.po and ensuring
    everything works as expected.

  [ Ben Armstrong ]
  * Adding missing 'lb config' step in tutorial 3 (thanks to Antz).

  [ chals ]
  * Updating French and Spanish translations of tutorial 3 in
    user_examples.ssi.po.
  * Adding newline to the Catalan date msgstr that prevented the update-
    version.sh script from working correctly in that file.
  * Fixing newlines globally to reach 100% 'good' po files, after
    running a po integrity check.
  * Adding 'set -e' now that all po files have been checked.
  * Workaround for redundant test after set -e.
  * Translating user_customization-overview.ssi.po into Catalan.

  [ Ben Armstrong ]
  * Updating and clarifying locale and keyboard configuration.

  [ Daniel Baumann ]
  * Updating name of the default netboot tarball.
  * Correcting misformated heading in the German translation of
    about_manual.
  * Updating location of auto/* example scripts.

  [ chals ]
  * Translating user_customization-packages.ssi.po into Catalan.

  [ Ben Armstrong ]
  * Clarifying use of multiple keyboard-variant values, adding an
    example.

  [ chals ]
  * Changing old 'Persistence Subtext' title to 'Using more than one
    persistence store' thanks to Ben Armstrong.
  * Prepending # sign to indicate that commands should be run as root
    following the convention of live-manual.
  * Updating Spanish translation of user_customization-runtime (locale
    and language).
  * Updating French translation of user_customization-runtime (locale
    and language).
  * Changing one left $ sign for # before 'tune2fs'.

  [ Daniel Baumann ]
  * Updating project_bugs page for wheezy.

  [ chals ]
  * Updating Spanish translation of project_bugs.
  * Updating French translation of project_bugs.
  * Translating user_customization-contents.ssi.po into Catalan.

  [ Victor Nițu ]
  * Translated license information to Romanian

  [ chals ]
  * Adding Victor Nitu as translator of the file (ro/live-manual.ssm.po)
    and adapting it for the unfuzzy target.

  [ Victor Nițu ]
  * Replaced "licență" => "license" (and hopefully fixed the output)

  [ Daniel Baumann ]
  * Reverting German and Romanian translation of 'Debian Live Project'
    in copyright notice, this really should be stay as-is.

  [ chals ]
  * Adding manual/po/*/*.mo to Makefile and .gitignore, suggestion to
    add it to both places by Daniel Baumann.

 -- Daniel Baumann <daniel@debian.org>  Fri, 27 Jul 2012 18:53:12 +0200

=== debian/control ===
Source: live-manual
Section: doc
Priority: optional
Maintainer: Debian Live Project <debian-live@lists.debian.org>
Uploaders:
 Ben Armstrong <synrg@sanctuary.nslug.ns.ca>,
 Daniel Baumann <daniel@debian.org>,
 Chris Lamb <lamby@debian.org>
Build-Depends: debhelper (>= 9), ruby, ruby-nokogiri
Build-Depends-Indep: locales, sisu-complete (>= 3), po4a
Standards-Version: 3.9.3
Homepage: http://live.debian.net/devel/live-manual/
Vcs-Browser: http://live.debian.net/gitweb/?p=live-manual.git
Vcs-Git: git://live.debian.net/git/live-manual.git

Package: live-manual-all
Architecture: all
Depends:
 ${misc:Depends}, live-manual-epub, live-manual-html, live-manual-odf,
  live-manual-pdf, live-manual-txt
Description: Debian Live - Documentation (metapackage)
 live-manual contains the documentation for the Debian Live project.
 .
 This package is a metapackage depending on all available output formats.

Package: live-manual-epub
Architecture: all
Depends: ${misc:Depends}
Provides: live-manual
Description: Debian Live - Documentation (epub)
 live-manual contains the documentation for the Debian Live project.
 .
 This package contains the epub output.

Package: live-manual-html
Architecture: all
Depends: ${misc:Depends}
Provides: live-manual
Description: Debian Live - Documentation (html)
 live-manual contains the documentation for the Debian Live project.
 .
 This package contains the html output.

Package: live-manual-odf
Architecture: all
Depends: ${misc:Depends}
Provides: live-manual
Description: Debian Live - Documentation (odf)
 live-manual contains the documentation for the Debian Live project.
 .
 This package contains the odf output.

Package: live-manual-pdf
Architecture: all
Depends: ${misc:Depends}
Provides: live-manual
Description: Debian Live - Documentation (pdf)
 live-manual contains the documentation for the Debian Live project.
 .
 This package contains the pdf output.

Package: live-manual-txt
Architecture: all
Depends: ${misc:Depends}
Provides: live-manual
Description: Debian Live - Documentation (txt)
 live-manual contains the documentation for the Debian Live project.
 .
 This package contains the txt output.

## live-manual 3.0~a15

=== Makefile ===
--- 
+++ 
@@ -21,7 +21,9 @@
 test:
 	@echo "Checking for syntax errors... [not implemented yet - FIXME]"
 	@echo "Checking for spelling errors... [not implemented yet - FIXME]"
-
+	@echo ""
+	@echo "You can check the integrity of po files using 'make check'."
+	@echo ""
 tidy:
 	# Removing useless whitespaces at EOL
 	for FILE in manual/en/*.ssm manual/en/*.ssi; \
@@ -103,6 +105,7 @@
 clean:
 	rm -rf build
 	rm -f manual/en/*~
+	rm -f manual/po/*/*.mo
 
 distclean: clean
 	rm -rf build
@@ -116,3 +119,6 @@
 	else \
 		echo "There are no fuzzy strings to translate." ; \
 	fi
+
+check:
+	@./manual/bin/po-integrity-check.sh

=== debian/changelog ===
live-manual (1:3.0~a15-1) unstable; urgency=low

  [ Ben Armstrong ]
  * Renaming keyboard-variant to keyboard-variants, matching latest
    live-config.

  [ chals ]
  * Updating Spanish and French translations to keyboard-variants.

  [ Ben Armstrong ]
  * Beginning change from predefined package lists to metapackages.

  [ chals ]
  * Updating Spanish translation of user_customization-packages.ssi.po.

  [ Daniel Baumann ]
  * Updating the internal list of strings that get automatically a
    certain markup (like debian release codenames, debian packages
    names, etc.).

  [ chals ]
  * Insisting on the fact that achieving a 100% translation is important
    in respect to code blocks.
  * Updating French translation of user_customization.ssi.po, after the
    addition of metapackages.
  * Updating Catalan translation of user_customization-packages.ssi.po,
    after the addition of metapackages.

  [ Ben Armstrong ]
  * Updating apt pinning example to correct actual metapackage
    dependencies.
  * Rewriting introductory package list sections around metapackages
    instead of predefined lists.

  [ chals ]
  * Updating translation of es/user_customization-packages.ssi (apt
    pinning).
  * Updating translation of fr/user_customization-packages.ssi (apt
    pinning).
  * Updating the translation of ca/user_customization-packages.ssi (apt
    pinning).
  * Fixing mismatch in the indexes of the Spanish and French manuals.

  [ Ben Armstrong ]
  * Explaining multiple lists, dropping includes and tasks, adding
    generated lists.
  * Fixing minor typo in Packages helper paragraph.

  [ chals ]
  * Updating Spanish translation of user_customization-packages
    (multiple lists).
  * Updating French translation of user_customization-packages (multiple
    lists).
  * Updating Catalan translation of user_customization-packages
    (multiple lists).
  * Translating user_customization-runtime.ssi.po into Catalan.
  * Revising the now unsupported '-p|--package-lists' option providing
    alternatives, thanks to Ben Armstrong for the hints.
  * Copying minimal.chroot hook to config/hooks and thus making the
    example work.
  * Removing 'standard-x11 list' and explaining the lists a bit better.
  * Removing '--includes none' from the minimal image example as it is
    unsupported and was tested without that option.
  * Providing a way to create a smaller image before the size
    optimization warning in the examples.
  * Proofreading project_bugs.
  * Removing the binary includes section since they were dropped.

  [ Ben Armstrong ]
  * Rewriting 'Managing a configuration' for greater clarity and
    introducing --config option.

  [ chals ]
  * Running 'make commit' to avoid conflicts and thus being able to
    commit languages individually afterwards; there are too many changes
    to cope with them all.

  [ Ben Armstrong ]
  * Fixing lb config --config examples: missing option.

  [ chals ]
  * Updating Catalan translation of user_managing a configuration, lb
    config --config.

  [ Ben Armstrong ]
  * Clarifying section headings relating to auto scripts.

  [ chals ]
  * Removing 'echo' to improve readability.
  * Updating Catalan translation of the headings of auto scritps.
  * Starting work to complete the Spanish translation, adding missing
    code blocks and updating user_customization-contents, project_bugs
    and user_overview.
  * Starting work to complete the French translation, adding missing
    code blocks and updating user_customization-contents,
    user_customization-packages and user_overview.
  * Revising the French translation of project_bugs and fixing its
    'fuzzy' string.
  * Completing the French translation with user_examples and
    user_managing_a_configuration and revising po headers.
  * Revising the headers in the Spanish po files that showed 'Catalan'
    by an error.

  [ Ben Armstrong ]
  * Updating prerequisites: Linux 3.x included.
  * Updating build live-boot and live-config from source to reflect best
    practice for short-term testing.
  * Clarifying example uses bash commands.

  [ chals ]
  * Completing the Spanish translation with
    user_managing_a_configuration, user_installation and user_examples.
  * Updating French translation of user_installation.
  * Updating the Catalan translation of user_installation.ssi.po.
  * Fixing one title in the Spanish translation and improving one string
    in user_installation.ssi.po.

  [ Ben Armstrong ]
  * Clarifying --apt-recommends false has consequences for live-*
    packages.
  * Updating language tasks section and examples chapter to no longer
    use task lists.

  [ chals ]
  * Re-adding packages left out by 'apt-recommends false' to make the
    images work properly in the examples.

 -- Daniel Baumann <daniel@debian.org>  Fri, 10 Aug 2012 22:48:06 +0200

## live-manual 3.0~a18

=== debian/changelog ===
live-manual (1:3.0~a18-1) unstable; urgency=low

  [ chals ]
  * Translating into French user_customization-packages and updating
    project_procedures, kernels and volatile.

  [ skizzhg ]
  * Updating user_customization-runtime and user_examples, italian
    translation.
  * Adding forgotten string in user_customization-runtime. Updating
    user_customization-binary and project_procedures, italian
    translation.
  * Adding several optional strings to avoid 'X untranslated messages'
    message when using po-integrity-check.sh, italian translation.

  [ chals ]
  * Adding a section about the project's git repositories,
    project_git.ssi, and adding myself to the list of authors.
  * Adding a missing 'git clone' command to project_git.

  [ Daniel Baumann ]
  * Updating to standards version 3.9.4.
  * Updating debian repository urls to use final slash consistently.
  * Simplifying preseeding example for live packages.

  [ chals ]
  * Substituting cdn.debian.net for http.debian.net in
    user_customization-packages.
  * Removing unnecessary note about wildcards in package names after
    adding live-* to the previous example.

  [ Daniel Baumann ]
  * Using the more common 'EOF' consistently as terminater when using
    cat in examples, rather than custom 'END'.

  [ chals ]
  * Translating project_git.ssi.po into Catalan.
  * Translating project_git.ssi.po into Spanish.
  * Translating project_git.ssi.po into French.
  * Updating Catalan translation fixing fuzzy strings in four files.
  * Fixing a typo in the Catalan translation.
  * Updating Spanish translation fixing fuzzy strings in four files.
  * Updating French translation fixing fuzzy strings in four files.
  * Fixing twenty two fuzzy strings in the German, Italian, Brazilian
    Portuguese and Romanian translations.
  * Fixing three missing spaces in the Italian translation and one colon
    in the Brazilian Portuguese and the Romanian translations.

  [ Daniel Baumann ]
  * Updating point-release template.
  * Removing outdated note about udeb uploads based on svn.
  * Running po update.

  [ skizzhg ]
  * Updating about_manual and project_git, italian translation.

  [ chals ]
  * Updating Catalan translation of project_procedures.ssi.po.
  * Updating Spanish translation of project_procedures.ssi.po.
  * Updating French translation of project_procedures.ssi.po.

  [ Daniel Baumann ]
  * Updating package descriptions.
  * Updating repository names for official configurations on
    live.debian.net.
  * Updating bootappend-live examples for newer live-build.

 -- Daniel Baumann <daniel@debian.org>  Sat, 06 Oct 2012 09:05:26 +0200

live-manual (1:3.0~a17-1) unstable; urgency=low

  [ skizzhg ]
  * Updating user_customization-packages, italian translation.

  [ chals ]
  * Adding reference to config/bootloaders to add local configuration
    files for syslinux.
  * Updating 'ca', 'es' and 'fr' translations of user_customization-
    binary, adding config/bootloaders.

  [ Ben Armstrong ]
  * Adding section on Kernel flavour and version.

  [ Daniel Baumann ]
  * Updating and extending section on kernel flavour and version a bit.

  [ chals ]
  * Translating kernel flavour and version into Spanish.
  * Adding a missing # and translating stub in a more appropiate way,
    Spanish translation.

  [ Ben Armstrong ]
  * Expanding and clarifying kernel section further, splitting custom
    kernel into its own section.

  [ Daniel Baumann ]
  * Removing references to debian-volatile since that has been merged
    into the debian archive itself.

  [ chals ]
  * Updating Spanish translation of user_customization-packages/binary
    and project_procedures, kernels and volatile.
  * Translating user_customization-packages and updating
    project_procedures into Catalan, kernels and volatile.

  [ Daniel Baumann ]
  * Updating persistence documentation for live-persistence.conf to
    persistence.conf change in live-boot.
  * Updating old paths to hook examples in live-build.

 -- Daniel Baumann <daniel@debian.org>  Thu, 27 Sep 2012 12:55:02 +0200

live-manual (1:3.0~a16-1) unstable; urgency=low

  [ chals ]
  * Updating Catalan translation of user_customization-packages.ssi.po,
    dealing with recommends.
  * Updating Spanish translation of user_customization-packages and
    user_examples, dealing with recommends.
  * Changing pt-latin1 for pt to make the example work without errors.
  * Updating French translation of user_customization-packages and
    user_examples and fixing some typos in 'ca' and 'es'.
  * Translating user_customization-binary.ssi.po into Catalan, reaching
    a 75% complete translation.

  [ Bogdan A. Dragoiu ]
  * Translating Romanian About this manual

  [ Ben Armstrong ]
  * Updating: virtualbox, dropping -ose suffix; live-build install
    example version number.

  [ chals ]
  * Updating Spanish, French and Catalan translations, virtualbox-ose.
  * Moving 'uniq' at the end of the pipe so that the script does not
    believe that 'fuzzy' and 'fuzzy, no-wrap' belong to two different
    files.
  * Translating user_customization-installer into Catalan.
  * Cleaning comments and headers in the po files for the 'ca', 'es' and
    'fr' translations.
  * Translating user_examples.ssi.po into Catalan.
  * Adding Bogdan Alexandru Dragoiu as translator of
    ro/about_manual.ssi.po and cleaning po files headers and comments in
    'pt_BR', 'ro'and 'it'.
  * Adding a short note for translators on the 'style guide' po files,
    based on an idea by Ben Armstrong and skizzhg.
  * Translating project_bugs.ssi.po into Catalan.
  * Adding 'umount' command to the live-persistence.conf section, thanks
    to Ben Armstrong.
  * Changing 'gitosis' user for 'git' in pt_BR and ro.
  * Updating 'ca', 'es', and 'fr' translations, umount command.
  * Translating project_coding-style.ssi.po into Catalan.
  * Translating project_procedures.ssi.po into Catalan, completing the
    translation.
  * Proofreading Catalan translation.



=== debian/rules ===
--- 
+++ 
@@ -22,7 +22,7 @@
 	rm -f debian/tmp/usr/share/doc/live-manual/_sisu/image/.empty
 
 override_dh_builddeb:
-	dh_builddeb -- -Zgzip -z9
+	dh_builddeb -- -Zxz -z9
 
 override_dh_compress:
 	dh_compress -X.html -X.odt

## live-manual 3.0~a19

=== debian/changelog ===
live-manual (1:3.0~a19-1) unstable; urgency=low

  [ chals ]
  * Reordering project_git.ssi to follow a more logical order:
    repositories - branches.
  * Spreading the reordering changes in project_git.ssi to the po files.
  * Updating the Catalan translation of several files and the dates in
    live-manual.ssm.
  * Updating the Spanish translation of several po files.
  * Updating the French translation of several po files.

  [ Daniel Baumann ]
  * Updating config tree references for live-build 3.0~a66-1.

  [ chals ]
  * Updating user_customization-installer/packages po files and live-
    manual.ssm dates.
  * Updating Catalan translation of user_customization-installer/packages
    and dates in live-manual.ssm.
  * Updating Spanish translation of user_customization-installer/packages.
  * Updating French translation of user_customization-installer/packages.
  * Introducing cdebootstrap-options and debootstrap-options to create a
    minimal system in the examples.
  * Removing -a from the translation chapter, it is redundant after git
    add ..
  * Adding count=0 to dd command to create image files.

  [ Ben Armstrong ]
  * Replacing archaism 'whilst' with 'while'.

  [ chals ]
  * Editing the 'minimal' example to add an hdd image type and change the
    cdebootstrap options for the debootstrap ones.
  * Adding 'Handling multiple repositories' to project_git.ssi.
  * Adding https cloning address to project_git.ssi.
  * Revising the 'A base image for a 128MB USB key' example.
  * Running make commit to start updating the translations.
  * Updating the dates in live-manual.ssm.
  * Updating the Spanish translation of several files.
  * Updating the French translation of several files.
  * Updating the Catalan translation of several files.
  * Improving the French translation of the examples.
  * Using the two letter code of all languages instead of echoing the
    path.
  * Adding single quotation marks to improve readability.
  * Adding missing colon in the heading levels of project_coding-
    style.ssi, project_git.ssi, project_bugs.ssi, project_procedures.ssi
    and user_customization-binary.ssi.
  * Editing about_manual.ssi to only leave live-manual specific
    information.
  * Adding more information to the translation section.
  * Adding project_contributing.ssi to the project section.
  * Adding 'The second one' to translation intructions.

  [ Daniel Baumann ]
  * Extending project_contributing.ssi with some more information.

  [ chals ]
  * Fixing a code tag in project_contributing.ssi.
  * Renaming progress to progress-linux in user_customization-binary.ssi.
  * Updating po files from English sources.
  * Updating the Spanish translation of several files.
  * Using synonym expressions for the word fuzzy.
  * Spreading the changes in the original about_manual to all the po
    files.
  * Updating the Spanish translation of about_manual.ssi.po.
  * Updating the Catalan translation of several files.
  * Updating the French translation of several files.
  * Improving the Spanish translation of about_manual and
    project_contributing.
  * Improving the Catalan translation of about_manual and
    project_contributing.
  * Improving the French translation of about_manual and
    project_contributing.
  * Removing redundant -a from instructions.
  * Removing 'exit 1' from commit target.
  * Removing redundant '-a' from the script.
  * Adding 'rm -f manual/po/*/*~' to clean target.
  * Adding 'manual/en/*~' to the gitignore file.
  * Adding 'manual/po/*/*~' to the gitignore file.
  * Adding fuzzy count to makefile.
  * Updating the dates in live-manual.ssm*
  * Fixing several 'fuzzy' strings in the German translation.
  * Fixing several 'fuzzy' strings in the Brazilian Portuguese
    translation.
  * Fixing several 'fuzzy' strings in the Romanian translation.
  * Fixing several 'fuzzy' strings in the Italian translation.
  * Fixing one formatting error in the Italian translation.
  * Fixing one formatting error in the Brazilian Portuguese translation.

  [ Ben Armstrong ]
  * Clarifying sid APT pinning stanza priorities relative to default
    priority.
  * Giving a better reason why stripped hook is not recommended over using
    debootstrap for minimal system.

  [ chals ]
  * Updating po files from the original English version.
  * Updating dates in all live-manual.ssm files.
  * Updating the Catalan translation of user_customization-packages,
    user_examples and about_manual.
  * Updating the Spanish translation of user_customization-packages and
    user_examples.
  * Updating the French translation of user_customization-packages and
    user_examples.

  [ Daniel Baumann ]
  * Updating example on how to configure default user groups for the live
    user.

  [ chals ]
  * Updating po files from the English text.
  * Updating the Catalan translation of user_customization-runtime and
    user_examples.
  * Updating the Spanish translation of user_customization-runtime.
  * Updating the French translation of user_customization-runtime and
    user_examples.
  * Adding find-untranslated.sh to ease the task of dealing with
    untranslated strings, thanks to skizzhg <skizzhg@gmx.com>.
  * Renaming 'translate' target to 'fuzzy' in Makefile.
  * Adding new 'translate' target to Makefile.
  * Editing 'commit' target in Makefile to reflect the changes in the
    'fuzzy' and 'translate' ones.
  * Editing the paragraph dealing with targets in about_manual.ssi.
  * Clarifying that the use of an specialized tool is the recommended way
    to do translation work.
  * Adding link in the guidelines for translators in the style guide.
  * Adding reading more documentation about translation guidelines in
    about_manual.ssi.
  * Updating po files from the original English version.
  * Updating the dates of all live-manual.ssm files.
  * Updating the Catalan translation of about_manual.ssi.po and
    user_examples.ssi.po.


=== debian/control ===
Source: live-manual
Section: doc
Priority: optional
Maintainer: Debian Live Project <debian-live@lists.debian.org>
Uploaders:
 Ben Armstrong <synrg@sanctuary.nslug.ns.ca>,
 Daniel Baumann <daniel@debian.org>,
 Chris Lamb <lamby@debian.org>
Build-Depends: debhelper (>= 9), ruby, ruby-nokogiri
Build-Depends-Indep: locales, sisu-complete (>= 3), po4a
Standards-Version: 3.9.4
Homepage: http://live.debian.net/devel/live-manual/
Vcs-Browser: http://live.debian.net/gitweb/?p=live-manual.git
Vcs-Git: git://live.debian.net/git/live-manual.git

Package: live-manual-all
Architecture: all
Depends:
 ${misc:Depends}, live-manual-epub, live-manual-html, live-manual-odf,
  live-manual-pdf, live-manual-txt
Description: Debian Live Documentation (metapackage)
 live-manual contains the documentation for the Debian Live project.
 .
 This package is a metapackage depending on all available output formats.

Package: live-manual-epub
Architecture: all
Depends: ${misc:Depends}
Provides: live-manual
Description: Debian Live Documentation (epub)
 live-manual contains the documentation for the Debian Live project.
 .
 This package contains the epub output.

Package: live-manual-html
Architecture: all
Depends: ${misc:Depends}
Provides: live-manual
Description: Debian Live Documentation (html)
 live-manual contains the documentation for the Debian Live project.
 .
 This package contains the html output.

Package: live-manual-odf
Architecture: all
Depends: ${misc:Depends}
Provides: live-manual
Description: Debian Live Documentation (odf)
 live-manual contains the documentation for the Debian Live project.
 .
 This package contains the odf output.

Package: live-manual-pdf
Architecture: all
Depends: ${misc:Depends}
Provides: live-manual
Description: Debian Live Documentation (pdf)
 live-manual contains the documentation for the Debian Live project.
 .
 This package contains the pdf output.

Package: live-manual-txt
Architecture: all
Depends: ${misc:Depends}
Provides: live-manual
Description: Debian Live Documentation (txt)
 live-manual contains the documentation for the Debian Live project.
 .
 This package contains the txt output.

## live-manual 3.0~a20

=== debian/changelog ===
live-manual (1:3.0~a20-1) unstable; urgency=low

  [ Daniel Baumann ]
  * Using section metapackages for live-manual-all metapackage.

  [ Ben Armstrong ]
  * Clarifying further pinning priorities.

  [ chals ]
  * Removing dot at the end of email address of mailing list.
  * Clarifying the convenience of creating a build directory as a first
    step.
  * Adding /lib and /lib/live to list of unsupported paths by the
    persistence.conf file.
  * Adding a way to achieve full persistence.
  * Fixing formatting error caused by an incorrect use of code tags.
  * Changing 'its' for 'their' to correct grammar.

  [ Daniel Baumann ]
  * Updating configuration management to reflect introduction of the live-
    images package.
  * Removing Chris from uploaders, he's been now inactive on live-manual
    for a while.

  [ chals ]
  * Updating po files from the original English ones.
  * Updating dates in the live-manual.ssm files of the translations.
  * Updating the Spanish translation of several files.
  * Updating the Catalan translation of several files.
  * Updating the French translation of several files.
  * General revision of the Spanish translation including, among other
    minor things, spelling, grammar and syntax.
  * Updating the dates in all live-manual.ssm files.
  * Fixing chapter mismatch in the Catalan, French and Spanish
    translations.
  * General revision of the Catalan translation, including spelling,
    vocabulary, grammar, syntax and two formatting errors.

 -- Daniel Baumann <daniel@debian.org>  Mon, 17 Dec 2012 21:30:17 +0100

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,7 @@
 Maintainer: Debian Live Project <debian-live@lists.debian.org>
 Uploaders:
  Ben Armstrong <synrg@sanctuary.nslug.ns.ca>,
- Daniel Baumann <daniel@debian.org>,
- Chris Lamb <lamby@debian.org>
+ Daniel Baumann <daniel@debian.org>
 Build-Depends: debhelper (>= 9), ruby, ruby-nokogiri
 Build-Depends-Indep: locales, sisu-complete (>= 3), po4a
 Standards-Version: 3.9.4
@@ -14,6 +13,7 @@
 Vcs-Git: git://live.debian.net/git/live-manual.git
 
 Package: live-manual-all
+Section: metapackages
 Architecture: all
 Depends:
  ${misc:Depends}, live-manual-epub, live-manual-html, live-manual-odf,

## live-manual 3.0~b1

=== Makefile ===
--- 
+++ 
@@ -21,9 +21,14 @@
 test:
 	@echo "Checking for syntax errors... [not implemented yet - FIXME]"
 	@echo "Checking for spelling errors... [not implemented yet - FIXME]"
-	@echo ""
-	@echo "You can check the integrity of po files using 'make check'."
-	@echo ""
+	@echo "Checking the integrity of po files..."
+	@echo
+	
+	for POFILE in manual/po/*/*; \
+	do \
+		msgfmt --check --output-file=/dev/null $${POFILE}; \
+	done
+	
 tidy:
 	# Removing useless whitespaces at EOL
 	for FILE in manual/en/*.ssm manual/en/*.ssi; \
@@ -80,15 +85,16 @@
 	@if grep -qs fuzzy manual/po/*/*; \
 	then \
 		echo "" ; \
-		echo "There are some fuzzy strings. You can run 'make translate' to fix them." ; \
-		exit 1 ; \
+		echo "There are $(shell grep -w 'fuzzy' manual/po/*/* | wc -l) fuzzy strings. You can run 'make fixfuzzy' to fix them." ; \
 	fi
+	@echo
+	@echo "In order to find untranslated strings type 'make translate'."
 
 	@echo
 	@echo "You may now proceed...please do:"
 	@echo
 	@echo "  * git add ."
-	@echo "  * git commit -a -m \"Your commit message.\""
+	@echo "  * git commit -m \"Your commit message.\""
 	@echo "  * git push "
 
 install:
@@ -105,6 +111,7 @@
 clean:
 	rm -rf build
 	rm -f manual/en/*~
+	rm -f manual/po/*/*~
 	rm -f manual/po/*/*.mo
 
 distclean: clean
@@ -112,7 +119,7 @@
 
 rebuild: distclean build
 
-translate:
+fixfuzzy:
 	@if grep -qs fuzzy manual/po/*/*; \
 	then \
 		./manual/bin/find-fuzzy.sh ; \
@@ -122,3 +129,6 @@
 
 check:
 	@./manual/bin/po-integrity-check.sh
+	
+translate:
+	@./manual/bin/find-untranslated.sh

=== manual/Makefile ===
--- 
+++ 
@@ -50,4 +50,6 @@
 	rm -f po4a.cfg
 	rm -rf $(LANGUAGES)
 
-rebuild: distclean update build
+rebuild: distclean update build unfuzzy
+unfuzzy:
+	@./bin/unfuzzy-dates.sh

=== debian/changelog ===
live-manual (1:3.0~b1-1) unstable; urgency=low

  [ chals ]
  * Using a default image type again instead of an hdd one in the minimal
    example now that xorriso allows to use the space left on devices.
  * Adding more information about a possible use of the live-images
    repository after cloning it.
  * Revising the use of an hdd image type in user_basics, first step.
  * Substituting 'standard' for 'default' where necessary.
  * Substituting 'debian' for 'live' in user_customization-installer.
  * Correcting the error in the previous change since it refers to the
    regular debian installer.
  * Changing the structure of user_basics.ssi simplifying hdd section to
    only reflect the differences with iso-hybrid images.
  * Updating po files from original sources.
  * Updating dates in the translated manuals.
  * Updating Spanish translation of several files.
  * Updating Catalan translation of several files.
  * Updating French translation of several files.
  * Adding live-images to :italics: in live-manual.ssm.
  * Modifying the 'Handling multiple repositories' section in
    project_git.ssi.
  * Adding link for more information from project_git.ssi to
    user_managing_a_configuration.ssi.
  * Updating po files from original texts.
  * Updating live-manual.* files in the translations.
  * Updating Catalan translation of project_git and
    user_managing_a_configuration.
  * Updating Spanish translation of project_git and
    user_managing_a_configuration.
  * Updating French translation of project_git and
    user_managing_a_configuration.
  * Substituting 'several' for 'multiple' in project_git.
  * Substituting 'official' for 'prebuilt' in about_project.
  * Updating po files from original English documents.
  * Updating the dates in the translated manuals.
  * Updating the Spanish translation of about_project, project_git and
    user_examples.
  * Updating the Catalan translation of about_project, project_git and
    user_examples.
  * Updating the French translation of about_project, project_git and
    user_examples.
  * Correcting several grammar mistakes in the French translation, thanks
    to ndangi francis <francis_ndangi@yahoo.fr>.
  * Changing several expressions in the French translation of
    about_manual, thanks to ndangi francis <francis_ndangi@yahoo.fr>.
  * General revision of French translation including, among other things,
    spelling, syntax, formatting errors, grammar....
  * Updating the translation of one string in about_project, Spanish
    translation.

 -- Daniel Baumann <daniel@debian.org>  Sun, 30 Dec 2012 16:25:18 +0100
